
local gr = love.graphics

function love.load()
	love.window.setTitle('Tail')
	tail	= {loc={},tran = {},ptsz = {},length = 150, color={}}
	an		= 0
	X		= 200 * math.cos( an ) + 400
	Y		= 200 * math.sin( an ) + 300
	for i = 1,tail.length do  -- tail decreases in point size, color and transparency
		tail.loc[i]   = { X, Y }
		tail.tran[i]  = 255 * i / tail.length
		tail.color[i] = { i*255/tail.length, i*255/tail.length, i*255/tail.length }
		tail.ptsz[i]  = 18 * i / tail.length
		end
	gr.setBackgroundColor(0,0,255, 255)
	end

function love.draw()
	drawTail()
	gr.setColor( 155, 50, 0 )
	gr.circle( 'fill', X, Y, 10 )
	end

function love.update(dt)
	an	= an + dt
	X	= 200 * math.cos( an ) + 400
	Y	= 200 * math.sin( an ) + 300
	for i = 2, #tail.loc do tail.loc[i-1] = tail.loc[i] end -- ring buffer
	tail.loc[ #tail.loc ] = { X, Y }  -- add new position to tail
	end

function drawTail()
	for i = 2, #tail.loc do
		gr.setColor( tail.color[i][1],tail.color[i][2],tail.color[i][3], tail.tran[i] )
		gr.setLineWidth( tail.ptsz[i] )
		gr.line( tail.loc[i-1][1], tail.loc[i-1][2],tail.loc[i][1], tail.loc[i][2] )
		end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' ) end
	end
